<?xml version="1.0" encoding="UTF-8"?>
<scr:component xmlns:scr="http://www.osgi.org/xmlns/scr/v1.3.0" name="org.eclipse.sensinact.gateway.southbound.http.factory.HttpDeviceFactory" configuration-policy="require" activate="activate" deactivate="deactivate" configuration-pid="sensinact.http.device.factory">
  <reference name="mappingHandler" interface="org.eclipse.sensinact.gateway.southbound.device.factory.IDeviceMappingHandler" field="mappingHandler"/>
  <reference name="rcSharer" interface="org.eclipse.sensinact.gateway.southbound.http.factory.SharedHttpClientResources" field="rcSharer"/>
  <implementation class="org.eclipse.sensinact.gateway.southbound.http.factory.HttpDeviceFactory"/>
</scr:component>
